javax.lang.model.type

## Class MirroredTypesException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.lang.model.type.MirroredTypesException

All Implemented Interfaces:
  Serializable

    public class MirroredTypesException
    extends RuntimeException

Thrown when an application attempts to access a sequence of `Class` objects each corresponding to a `TypeMirror`.

Since:
  1.6
See Also:
  `MirroredTypeException`, `Element.getAnnotation(Class)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MirroredTypesException(List<? extends TypeMirror> types)` Constructs a new MirroredTypesException for the specified types.

### Method Summary

Methods
`List<? extends TypeMirror>` `getTypeMirrors()` Returns the type mirrors corresponding to the types being accessed.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MirroredTypesException

    public MirroredTypesException(List<? extends TypeMirror> types)

Constructs a new MirroredTypesException for the specified types.

Parameters:
  `types` - the types being accessed

### Method Detail

#### getTypeMirrors

    public List<? extends TypeMirror> getTypeMirrors()

Returns the type mirrors corresponding to the types being accessed. The type mirrors may be unavailable if this exception has been serialized and then read back in.

Returns:
  the type mirrors in construction order, or `null` if unavailable

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.